
Redmine - Defect #24092

bundler error: selenium-webdriver requires Ruby version >= 2.0.

2016-10-18 17:24 - Tatsuya Saito

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version: 3.3.1

Description

Error message encountered when running bundle install with Redmine v3.3.1 and Ruby 1.9.3.

Gem::InstallError: selenium-webdriver requires Ruby version >= 2.0.

An error occurred while installing selenium-webdriver (3.0.0), and Bundler cannot continue.

Make sure that `gem install selenium-webdriver -v '3.0.0'` succeeds before bundling.

 Evironment:

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   1.9.3-p327 (2012-11-10) [x86_64-darwin11.4.2]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.7.17

  Mercurial                      3.0

  Git                            1.9.3

  Filesystem                     

Redmine plugins:

  no plugin installed

Associated revisions

Revision 15946 - 2016-11-05 19:08 - Toshi MARUYAMA

Gemfile: merge r15915, r15916, r15944, and r15945 from trunk to 3.3-stable (#24092)

Revision 15947 - 2016-11-05 19:10 - Toshi MARUYAMA

Gemfile: merge r15915, r15916, r15944, and r15945 from trunk to 3.2-stable (#24092)

History

#1 - 2016-10-18 17:30 - Tatsuya Saito

- File patch.diff added

I create and attach a patch of Gemfile like r15274 .

#2 - 2016-10-18 18:55 - Toshi MARUYAMA

- Category set to Gems support

- Target version set to 3.2.5

#3 - 2016-10-27 21:56 - Holger Just

This was fixed in r15915.

#4 - 2016-10-28 15:52 - Tatsuya Saito

- Status changed from New to Resolved
https://www.redmine.org/projects/redmine/repository/svn/revisions/15274
https://www.redmine.org/projects/redmine/repository/svn/revisions/15915


Holger Just wrote:

This was fixed in r15915.

 Thanks information :)

I checked to fix this issue on trunk.

#5 - 2016-11-06 05:03 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Fixed by r15946 and r15947.

Files

patch.diff 434 Bytes 2016-10-18 Tatsuya Saito

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/15915
https://www.redmine.org/projects/redmine/repository/svn/revisions/15946
https://www.redmine.org/projects/redmine/repository/svn/revisions/15947
http://www.tcpdf.org

